当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : virtualbox 安装错误
帖子发表于 : 2017-06-25 9:20 
头像

注册: 2008-11-01 16:17
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
我在安装virtualbox的时候遇见了下面的问题,请问大家该怎么解决?

$ sudo apt-get install virtualbox-5.1

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
virtualbox-5.1 : 依赖: libqt5core5a (>= 5.6.0~beta) 但是 5.5.1+dfsg-16ubuntu7.5 正要被安装
依赖: libqt5widgets5 (>= 5.6.0~beta) 但是 5.5.1+dfsg-16ubuntu7.5 正要被安装
依赖: libqt5x11extras5 (>= 5.6.0) 但是 5.5.1-3build1 正要被安装
推荐: libsdl-ttf2.0-0 但是它将不会被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: virtualbox 安装错误
帖子发表于 : 2017-06-25 9:38 
头像

注册: 2011-03-20 13:12
帖子: 4412
地址: 山东省寿光县
系统: Debian
送出感谢: 105
接收感谢: 968
matliu 写道:
$ sudo apt-get install virtualbox-5.1

软件包 "virtualbox-5.1" 不在 Ubuntu 官方软件源中。
可能原因:您添加的第三方软件源提供的软件包 "virtualbox-5.1" 不支持 Ubuntu 16.04。相反地,它要求至少 Ubuntu 16.10
您可以移除该第三方软件源,安装 Ubuntu 官方软件源提供的软件包 "virtualbox"


_________________
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户


页首
 用户资料  
 
3 楼 
 文章标题 : Re: virtualbox 安装错误
帖子发表于 : 2017-06-25 9:45 

注册: 2009-08-04 16:33
帖子: 16417
送出感谢: 21
接收感谢: 1779
https://help.ubuntu.com/community/Virtu ... stallation
There are two versions of VirtualBox available: one packaged by Ubuntu and one by Oracle.
推薦 使用 one by Oracle

先將 前面從 ubuntu 套件庫安裝的 virtualbox 套件名稱 完全移除

複製下述指令 貼進終端機 (全部在一行) 執行
代码:
sudo sh -c "echo 'deb http://download.virtualbox.org/virtualbox/debian '$(lsb_release -cs)' contrib non-free' > /etc/apt/sources.list.d/virtualbox.list" && wget -q http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc -O- | sudo apt-key add - && sudo apt-get update && sudo apt-get install virtualbox-5.1


補充
https://www.virtualbox.org/wiki/Linux_Downloads
目前最新版本是 ualBox 5.1.22 for Linux
套件名稱是 virtualbox-5.1


页首
 用户资料  
 
4 楼 
 文章标题 : Re: virtualbox 安装错误
帖子发表于 : 2017-06-25 20:56 
头像

注册: 2008-11-01 16:17
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
问题没有解决,但是谢谢大家!


页首
 用户资料  
 
5 楼 
 文章标题 : Re: virtualbox 安装错误
帖子发表于 : 2017-06-26 21:27 
头像

注册: 2008-05-03 14:09
帖子: 139
送出感谢: 6
接收感谢: 1
$ sudo apt-get install virtualbox virtualbox-qt


页首
 用户资料  
 
6 楼 
 文章标题 : Re: virtualbox 安装错误
帖子发表于 : 2017-06-29 13:43 
头像

注册: 2008-11-01 16:17
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
:em11 感谢!的确好用。后来我安装了5.0也好用


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译